using C1.Win.FlexGrid;
using FlexGrid_QuickStart.CustomeFilters;
using System.Drawing.Imaging;

namespace FlexGrid_QuickStart
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Initialises a List of type Product, where Product is a class type
            List<Product> _products = new List<Product>();

            // Initialize for loop and add products to the list
            for (int i = 0; i < 100; i++)
            {
                _products.Add(new Product());
            }

            // Bind FlexGrid with data
             c1FlexGrid1.Styles.Fixed.ForeColor = Color.Blue;
            c1FlexGrid1.DataSource = _products;
            c1FlexGrid1.AllowFiltering = true;
            c1FlexGrid1.Cols[6].Filter = new CustomColumnFilter();       
        }

    }
}